Bug 59068 - updfstab doesn't detect Y-E Data USB floppy disk drive
Summary: updfstab doesn't detect Y-E Data USB floppy disk drive
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-30 14:13 UTC by Need Real Name
Modified: 2014-03-17 02:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-13 20:51:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-01-30 14:13:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [de] (X11; U; Linux 2.4.7-10smp i686)

Description of problem:
updfstab doesn't detect Y-E Data USB floppy disk drive.


Version-Release number of selected component (if applicable): kudzu 0.99.23


How reproducible:
Always

Steps to Reproduce:
1.Plug in usb floppy disk drive


Actual Results:  Nothing happens.

Expected Results:  1. updfstab should update /etc/fstab
2. updfstab should create /mnt/floppy/


Additional info:

Line 54 in updfstab.c is buggy:

wrong:
{ "floppy",   CLASS_HD,     0,  0, "USB-FDU"            },

correct:
{ "floppy",   CLASS_FLOPPY, 0,  0, "USB-FDU"            },

Comment 1 Bill Nottingham 2002-01-30 15:01:19 UTC
Hm, that works for some floppies here. I suppose it depends on the floppy model
in particular.

Comment 2 Need Real Name 2002-01-30 15:14:26 UTC
No problem, simply put two lines into updfstab, one with CLASS_HD, and one with
CLASS_FLOPPY.

In fact, I don't have a Y-E floppy, but a Sony PCGA-UFD5 which identifies itself
as a Y-E floppy. Maybe these devices are a little bit different.


Comment 3 Bill Nottingham 2003-02-13 20:51:49 UTC
This should work with current code.


Note You need to log in before you can comment on or make changes to this bug.